Support » Plugin: Yoast SEO » Latest version broken

  • Resolved allgeekthings

    (@allgeekthings)


    Since updating to Yoast SEO Version 4.2, I cannot access the SEO control panel. I get the following error message:

    Fatal error: Call to undefined method yoast_i18n::set_api_url() in /home/mysite/public_html/wp-content/plugins/wordpress-seo/vendor/yoast/i18n-module/src/i18n-module-wordpressorg.php on line 61

    The problem only seems to be happing at allgeekthings.co.uk and I’ve done the whole ‘deactivate all other plugins’ things.

Viewing 15 replies - 1 through 15 (of 18 total)
  • I’m having the exact same problem! I updated the plugin on 5 of my sites and all of them have this issue.

    Probably need to provide more info, such as PHP version, RAM allocated to WP, WP version, try disabling other plugins, etc. Make sure your version of WP meets minimum requirements for Yoast SEO. And, obviously clear your caching after any update to anything.

    It’s working fine – both free and paid/pro version on dozen sites here.

    TIP:
    a) resave permalinks
    b) clear all transients using wp-optimize plugin

    Chris. 🙂

    I am having the same problem as well

    I resaved permalinks, cleared cache and cleared transients. I’m using wP 4.7.2.

    Yup. Us too.
    WP version 4.7.2
    Yoast SEO version 4.2

    all other plugins are performing as per usual.

    I just remarked this line and it is working now.
    I think this line is related somehow to translation. Since I am using it in English anyway, it is working after this remark.

    Ok. I found the real one to blame in my site.
    A plugin named “Better Click To Tweet” is using a PHP class named ‘yoast_i18n’ which is really wrong.

    I disabled better click to tweet, refreshed my cache and still having problem. How did you figure out which php classes your plugins are using?

    What do you mean you ‘remarked this line’?

    After upgrading this morning I received the “Fatal error: Call to undefined method yoast_i18n::set_api_url()”. In my case, it is a conflict between Yoast SEO and Clicky for WordPress…. both developed by Team Yoast.

    Hi There. I’m the developer for Better Click To Tweet, one of the plugins that was causing a problem with the way I called the internationalization module. I just released version 5.0.2 which fixes that.

    Thanks,
    Actually I renamed the class yoast_i18n in your sources to something else. But better using your version. Thanks for taking care of it.

    Hi @wpsteward,
    Thanks so much for keeping us in the loop. I updated your plugin and it resolved the issue!

    I have Yoast’s Clicky for WordPress as well for all of my sites that have the issues.

    Plugin Author Anton Timmermans

    (@atimmer)

    We’ve just released 4.2.1 which resolves this issue.

Viewing 15 replies - 1 through 15 (of 18 total)
  • The topic ‘Latest version broken’ is closed to new replies.